[Python-modules-commits] r5973 - in packages/nevow/trunk/debian (changelog postinst postrm)

bernat at users.alioth.debian.org bernat at users.alioth.debian.org
Mon Jul 14 11:31:43 UTC 2008


    Date: Monday, July 14, 2008 @ 11:31:42
  Author: bernat
Revision: 5973

Update dropin.cache in postinst and postrm

Added:
  packages/nevow/trunk/debian/postinst
  packages/nevow/trunk/debian/postrm
Modified:
  packages/nevow/trunk/debian/changelog

Modified: packages/nevow/trunk/debian/changelog
===================================================================
--- packages/nevow/trunk/debian/changelog	2008-07-14 08:24:21 UTC (rev 5972)
+++ packages/nevow/trunk/debian/changelog	2008-07-14 11:31:42 UTC (rev 5973)
@@ -1,3 +1,9 @@
+nevow (0.9.31-3) unstable; urgency=low
+
+  * Update dropin.cache in postinst and postrm
+
+ -- Vincent Bernat <bernat at debian.org>  Mon, 14 Jul 2008 13:04:47 +0200
+
 nevow (0.9.31-2) unstable; urgency=low
 
   * Use python-central instead of python-support. This is just for fixing

Added: packages/nevow/trunk/debian/postinst
===================================================================
--- packages/nevow/trunk/debian/postinst	                        (rev 0)
+++ packages/nevow/trunk/debian/postinst	2008-07-14 11:31:42 UTC (rev 5973)
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        for p in $(pyversions -i); do
+            $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+        done
+        ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Added: packages/nevow/trunk/debian/postrm
===================================================================
--- packages/nevow/trunk/debian/postrm	                        (rev 0)
+++ packages/nevow/trunk/debian/postrm	2008-07-14 11:31:42 UTC (rev 5973)
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    remove|purge)
+        for p in $(pyversions -i); do
+            $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+        done
+        ;;
+esac
+
+#DEBHELPER#
+
+exit 0




More information about the Python-modules-commits mailing list